<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\TeilnehmerInfo\TeilnehmerUebersicht\FilterTeilnehmerUebersicht;

abstract class FilterTeilnehmerUebersichtPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getViewModel()
  {
    $viewModel = new FilterTeilnehmerUebersichtViewModel();
    foreach (get_object_vars($this->useCaseResponse) as $key => $value) {
      $viewModel->{$key} = $value;
    }

    return $viewModel;
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array(
      $this->getJsFileFromSys('kursuebersicht.js')
    );
  }
}